## arianna 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(arianna VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.3.0")
set(QT_MIN_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMFindQmlModule)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)
include(KDECMakeSettings)
include(ECMDeprecationSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(KDEGitCommitHooks)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
include(KDEClangFormat)


ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX ARIANNA
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/arianna-version.h
)

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core Quick Gui QuickControls2 WebSockets WebChannel Test Svg Sql Xml HttpServer)
set_package_properties(Qt6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)
find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Config CoreAddons DBusAddons WindowSystem FileMetaData Archive QuickCharts)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)
find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
find_package(KF6QQC2DesktopStyle REQUIRED)

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS WebEngineQuick)

if (NOT WIN32)
    find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Baloo)
endif()

ecm_find_qmlmodule(QtWebChannel)
ecm_set_disabled_deprecation_versions(QT 6.7.2
    KF 6.7.0
)

add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

add_subdirectory(src)

ki18n_install(po)

install(FILES org.kde.arianna.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.arianna.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.arianna.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ecm_qt_install_logging_categories(
    EXPORT ARIANNA
    FILE arianna.categories
    SORT DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## arianna 24.08.1

=== debian/changelog ===
arianna (24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:20 +0100

arianna (24.08.0-0ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 
  * New upstream release (24.08.0). 
  * Bump kirigami-addons requirement. 
  * Update runtime qml. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 12 Sep 2024 20:38:39 +0100

arianna (24.05.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1076546)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 18 Jul 2024 03:44:55 -0700

=== debian/control ===
Source: arianna
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6baloo-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6filemetadata-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6qqc2desktopstyle-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkirigami-dev (>= 6.3.0~),
               libquickcharts-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-httpserver-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-webengine-dev (>= 6.6.0~),
               qt6-websockets-dev (>= 6.6.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/arianna
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/arianna
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/arianna
Rules-Requires-Root: no

Package: arianna
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-kirigamiaddons-treeview,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-quickcharts,
         qml6-module-qt-labs-platform,
         qml6-module-qtwebchannel,
         qml6-module-qtwebengine,
         qml6-module-qtqml-models,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-window,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma EPub Reader
 An ebook reader and library management app supporting ".epub" files.
 Arianna discovers your books automatically, and sorts them by categories,
 genres and authors.

## arianna 24.08.2

=== debian/changelog ===
arianna (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:50:05 -0500

arianna (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix kirigimiaddons runtime dependency.
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Add myself to the uploaders.
  * Replace manual QML runtime dependencies with dh_qmldeps.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Oct 2024 20:05:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
@@ -23,6 +25,10 @@
                libquickcharts-dev (>= 6.3.0~),
                libxkbcommon-dev,
                pkgconf,
+               qml6-module-qtquick-dialogs,
+               qml6-module-qtquick-effects,
+               qml6-module-qtwebengine,
+               qml6-module-qtwebchannel,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qt6-httpserver-dev (>= 6.6.0~),
                qt6-svg-dev (>= 6.6.0~),
@@ -38,25 +44,10 @@
 
 Package: arianna
 Architecture: any
-Depends: qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-kirigamiaddons-components,
-         qml6-module-org-kde-kirigamiaddons-delegates,
-         qml6-module-org-kde-kirigamiaddons-formcard,
-         qml6-module-org-kde-kirigamiaddons-treeview,
-         qml6-module-org-kde-kitemmodels,
-         qml6-module-org-kde-quickcharts,
-         qml6-module-qt-labs-platform,
-         qml6-module-qtwebchannel,
-         qml6-module-qtwebengine,
-         qml6-module-qtqml-models,
-         qml6-module-qtquick-dialogs,
-         qml6-module-qtquick-effects,
-         qml6-module-qtquick-layouts,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-window,
-         qml6-module-qtquick,
+Depends: qml6-module-qtqml-workerscript (>= 6.6.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Plasma EPub Reader
  An ebook reader and library management app supporting ".epub" files.
  Arianna discovers your books automatically, and sorts them by categories,

## arianna 24.12.0

=== debian/changelog ===
arianna (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:00:01 +0000

arianna (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:00:34 +0000

arianna (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 18:12:31 +0000

arianna (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:34:39 +0000

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
                pkgconf,
                qml6-module-qtquick-dialogs,
                qml6-module-qtquick-effects,
+               qml6-module-qtwebchannel,
                qml6-module-qtwebengine,
-               qml6-module-qtwebchannel,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qt6-httpserver-dev (>= 6.6.0~),
                qt6-svg-dev (>= 6.6.0~),

## arianna 24.12.1

=== debian/changelog ===
arianna (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 16 Jan 2025 10:16:14 +0100

arianna (24.12.0-1) unstable; urgency=medium

  * Team upload to unstable.

  [ Sandro Knauß ]
  * New upstream release (24.12.0).
  * QML modules are instaleld together with -dev package.

 -- Sandro Knauß <hefee@debian.org>  Sun, 22 Dec 2024 16:14:58 +0100

## arianna 24.12.3

=== debian/changelog ===
arianna (24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 30 Mar 2025 13:52:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: arianna
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -25,10 +24,6 @@
                libquickcharts-dev (>= 6.3.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-qtquick-dialogs,
-               qml6-module-qtquick-effects,
-               qml6-module-qtwebchannel,
-               qml6-module-qtwebengine,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qt6-httpserver-dev (>= 6.6.0~),
                qt6-svg-dev (>= 6.6.0~),
@@ -38,14 +33,13 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/arianna
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/arianna
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/arianna
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/arianna
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/arianna.git
 Rules-Requires-Root: no
 
 Package: arianna
 Architecture: any
-Depends: qml6-module-qtqml-workerscript (>= 6.6.0~),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
 Description: Plasma EPub Reader

## arianna 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})
@@ -48,7 +48,7 @@
     TYPE REQUIRED
     PURPOSE "Basic application components"
 )
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Config CoreAddons DBusAddons WindowSystem FileMetaData Archive QuickCharts)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Config CoreAddons DBusAddons WindowSystem FileMetaData Archive QuickCharts Crash ColorScheme)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Basic application components"

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(arianna_static STATIC)

ecm_qt_declare_logging_category(arianna_static
    HEADER arianna_debug.h
    IDENTIFIER ARIANNA_LOG
    CATEGORY_NAME org.kde.arianna
    DESCRIPTION "arianna"
    DEFAULT_SEVERITY Warning
    EXPORT ARIANNA
)

target_sources(arianna_static PRIVATE
    clipboard.cpp
    clipboard.h
    format.cpp
    format.h
    bookdatabase.cpp
    bookdatabase.h
    bookserver.cpp
    bookserver.h
    categoryentriesmodel.cpp
    categoryentriesmodel.h
    colorschemer.cpp
    colorschemer.h
    propertycontainer.cpp
    propertycontainer.h
    booklistmodel.cpp
    booklistmodel.h
    epubcontainer.cpp
    epubcontainer.h
    tableofcontentmodel.cpp
    tableofcontentmodel.h
    navigation.cpp
    navigation.h
    contentlist/contentlist.cpp
    contentlist/contentlist.h
    contentlist/contentquery.cpp
    contentlist/contentquery.h
    contentlist/contentlisterbase.cpp
    contentlist/contentlisterbase.h
    contentlist/filesystemcontentlister.cpp
    contentlist/filesystemcontentlister.h
    contentlist/manualcontentlister.cpp
    contentlist/manualcontentlister.h
    ${debug_files_SRCS}
)

kconfig_add_kcfg_files(arianna_static GENERATE_MOC config.kcfgc)

target_link_libraries(arianna_static PUBLIC
    Qt6::Quick
    Qt6::Qml
    Qt6::Gui
    Qt6::HttpServer
    Qt6::Network
    Qt6::WebSockets
    Qt6::QuickControls2
    Qt6::Svg
    Qt6::Sql
    Qt6::Xml
    Qt6::Widgets
    KF6::I18n
    KF6::Kirigami
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::WindowSystem
    KF6::DBusAddons
    KF6::FileMetaData
    KF6::Archive
    KF6::CoreAddons
    KF6::Crash
    KF6::ColorScheme
)

target_link_libraries(arianna_static PUBLIC Qt::WebEngineQuick)

if (NOT WIN32)
    target_link_libraries(arianna_static PUBLIC KF6::Baloo)
    target_sources(arianna_static PRIVATE contentlist/baloocontentlister.cpp contentlist/baloocontentlister.h)
    target_compile_definitions(arianna_static PUBLIC -DHAVE_BALOO)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_executable(arianna
    main.cpp
    resources.qrc
)

target_include_directories(arianna PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(arianna PRIVATE arianna_static)

install(TARGETS arianna ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
arianna (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.
  * Drop obsolete lintian override.
  * Refresh copyright information.
  * Add lintian override for not shipping manuals, there’s none upstream
    and the program has a very limited set of arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:40:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
@@ -31,17 +31,15 @@
                qt6-websockets-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
-Homepage: https://invent.kde.org/graphics/arianna
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/arianna/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/arianna
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/arianna.git
 Rules-Requires-Root: no
 
 Package: arianna
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Plasma EPub Reader
  An ebook reader and library management app supporting ".epub" files.
  Arianna discovers your books automatically, and sorts them by categories,

## arianna 25.04.3

=== debian/changelog ===
arianna (25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 01 Sep 2025 22:56:21 +0200

## arianna 25.07.80

=== debian/changelog ===
arianna (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:01:04 +0100

arianna (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:34:01 +0100

arianna (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:37 +0100

arianna (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:06 +0100

arianna (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:26 +0100

arianna (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:34:07 +0000

arianna (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:09:20 +0000

arianna (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:23:22 +0000

## arianna 25.07.90

=== debian/changelog ===
arianna (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:25:50 +0100

## arianna 25.08.0

=== debian/changelog ===
arianna (25.08.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:38:42 +0000

arianna (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:01:20 +0000

arianna (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:14:53 +0000

arianna (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:28:11 +0000

arianna (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:02:29 +0000

arianna (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:21:33 +0000

arianna (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:55:19 +0000

arianna (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:16:09 +0000

arianna (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:14:41 +0000

arianna (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:03:18 +0000

arianna (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:27:27 +0000

arianna (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:51:36 +0000

arianna (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:23:17 +0000

arianna (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:18:18 +0000

arianna (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:59:54 +0000

arianna (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:14:54 +0000

arianna (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:59:49 +0000

arianna (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:26:15 +0000

arianna (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 05:15:25 +0000

arianna (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 05:15:23 +0000

arianna (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 05:15:20 +0000

arianna (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 28 Aug 2023 12:05:25 +0000

arianna (1.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 05:15:20 +0000

arianna (1.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Apr 2023 05:15:20 +0000

arianna (1.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:54:43 +0000

## arianna 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.3.0")
+set(KF_MIN_VERSION "6.12.0")
 set(QT_MIN_VERSION "6.6.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -36,7 +36,6 @@
 include(ECMCheckOutboundLicense)
 include(KDEClangFormat)
 
-
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX ARIANNA
     SOVERSION ${PROJECT_VERSION_MAJOR}
@@ -48,6 +47,8 @@
     TYPE REQUIRED
     PURPOSE "Basic application components"
 )
+qt_policy(SET QTP0001 NEW)
+qt_policy(SET QTP0004 NEW)
 find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Config CoreAddons DBusAddons WindowSystem FileMetaData Archive QuickCharts Crash ColorScheme)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

ecm_add_test(tableofcontenttest.cpp
    TEST_NAME tableofcontenttest
    LINK_LIBRARIES arianna_static Qt::Test
    NAME_PREFIX "arianna-"
)

=== debian/changelog ===
arianna (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:49:47 +0100

arianna (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:18:54 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	# non-fatal, as tests fail on almost non-amd64 archs
	-xvfb-run dh_auto_test

## arianna 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
arianna (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:37:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: arianna
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
@@ -24,6 +25,10 @@
                libquickcharts-dev (>= 6.3.0~),
                libxkbcommon-dev,
                pkgconf,
+               qml6-module-qtquick-dialogs,
+               qml6-module-qtquick-effects,
+               qml6-module-qtwebchannel,
+               qml6-module-qtwebengine,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qt6-httpserver-dev (>= 6.6.0~),
                qt6-svg-dev (>= 6.6.0~),
@@ -31,15 +36,18 @@
                qt6-websockets-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
-Homepage: https://apps.kde.org/arianna/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/arianna
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/arianna.git
+Standards-Version: 4.7.0
+Homepage: https://invent.kde.org/graphics/arianna
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/arianna
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/arianna
 Rules-Requires-Root: no
 
 Package: arianna
-Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Architecture: amd64 arm64 armhf
+Depends: qml6-module-qtqml-workerscript (>= 6.6.0~),
+         ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Plasma EPub Reader
  An ebook reader and library management app supporting ".epub" files.
  Arianna discovers your books automatically, and sorts them by categories,

## arianna 25.08.2+p24.04+vstable+git20251011.1155

=== debian/changelog ===
arianna (25.08.2+p24.04+vstable+git20251011.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 11:55:55 +0000

arianna (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:09:33 +0000

arianna (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:32:48 +0000

=== debian/control ===
Source: arianna
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kquickcharts-dev,
               kf6-kwindowsystem-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-httpserver-dev,
               qt6-svg-dev,
               qt6-webengine-dev,
               qt6-websockets-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/neon-packaging/arianna
Vcs-Git: https://invent.kde.org/neon/neon-packaging/arianna.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/arianna
Maintainer: Neon CI <neon@kde.org>

Package: arianna
Architecture: any
Depends: qml6-module-org-kde-kirigami-addons-labs-components,
         qml6-module-org-kde-kirigamiaddons,
         qml6-module-qtwebchannel,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma EPub Reader
 App to read books in epub format

## arianna 25.08.2+p24.04+vstable+git20251015.1430

=== debian/changelog ===
arianna (25.08.2+p24.04+vstable+git20251015.1430-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:30:09 +0000

## arianna 25.08.2+p24.04+vstable+git20251031.0935

=== debian/changelog ===
arianna (25.08.2+p24.04+vstable+git20251031.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:35:40 +0000

## arianna 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,59 @@
 # SPDX-License-Identifier: BSD-2-Clause
 
 add_library(arianna_static STATIC)
+
+ecm_add_qml_module(arianna_static
+    GENERATE_PLUGIN_SOURCE
+    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/arianna # Shuts up an annoying upstream Qt warning
+    URI org.kde.arianna
+)
+
+qt_target_qml_sources(arianna_static
+    QML_FILES
+        qml/Main.qml
+        qml/BookDetailsPage.qml
+        qml/SettingsPage.qml
+        qml/ColorSchemeDelegate.qml
+        qml/LibraryPage.qml
+        qml/EpubViewerPage.qml
+        qml/TableOfContentDrawer.qml
+        qml/GridBrowserDelegate.qml
+        qml/SearchModel.qml
+    RESOURCES
+        qml/main.html
+        qml/reader.js
+        qml/foliate-js/reader.html
+        qml/markup.js
+
+        qml/foliate-js/vendor/pdfjs/pdf.js
+        qml/foliate-js/vendor/pdfjs/pdf.worker.js
+        qml/foliate-js/vendor/fflate.js
+        qml/foliate-js/vendor/zip.js
+
+        qml/foliate-js/comic-book.js
+        qml/foliate-js/dict.js
+        qml/foliate-js/epub.js
+        qml/foliate-js/epubcfi.js
+        qml/foliate-js/fb2.js
+        qml/foliate-js/fixed-layout.js
+        qml/foliate-js/footnotes.js
+        qml/foliate-js/mobi.js
+        qml/foliate-js/opds.js
+        qml/foliate-js/overlayer.js
+        qml/foliate-js/paginator.js
+        qml/foliate-js/pdf.js
+        qml/foliate-js/progress.js
+        qml/foliate-js/reader.js
+        qml/foliate-js/search.js
+        qml/foliate-js/text-walker.js
+        qml/foliate-js/tts.js
+        qml/foliate-js/uri-template.js
+        qml/foliate-js/view.js
+        qml/foliate-js/quote-image.js
+
+        qml/jszip.min.js
+        qml/utils.js
+)
 
 ecm_qt_declare_logging_category(arianna_static
     HEADER arianna_debug.h
@@ -25,8 +78,6 @@
     categoryentriesmodel.h
     colorschemer.cpp
     colorschemer.h
-    propertycontainer.cpp
-    propertycontainer.h
     booklistmodel.cpp
     booklistmodel.h
     epubcontainer.cpp
@@ -89,10 +140,9 @@
 
 add_executable(arianna
     main.cpp
-    resources.qrc
 )
 
 target_include_directories(arianna PRIVATE ${CMAKE_BINARY_DIR})
-target_link_libraries(arianna PRIVATE arianna_static)
+target_link_libraries(arianna PUBLIC arianna_static arianna_staticplugin)
 
 install(TARGETS arianna ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
arianna (25.08.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 22:13:08 +0000

arianna (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:26 +1000

## arianna 25.08.3+p24.04+vunstable+git20251206.0802

=== debian/changelog ===
arianna (25.08.3+p24.04+vunstable+git20251206.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:02:12 +0000

## arianna 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
arianna (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:48:33 +0000

arianna (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:09:58 +0000

## arianna 25.11.90

=== debian/changelog ===
arianna (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:49 +0000

## arianna 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
arianna (25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:33:02 +0000

arianna (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:12 +1000

## arianna 25.12.0+p24.04+vstable+git20251231.0420

=== debian/changelog ===
arianna (25.12.0+p24.04+vstable+git20251231.0420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:20:07 +0000

## arianna 25.12.0+p24.04+vstable+git20260103.0621

=== debian/changelog ===
arianna (25.12.0+p24.04+vstable+git20260103.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:22:00 +0000

## arianna 25.12.0+p24.04+vstable+git20260105.1054

=== debian/changelog ===
arianna (25.12.0+p24.04+vstable+git20260105.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:54:09 +0000

## arianna 25.12.0+p24.04+vunstable+git20251208.1311

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})
@@ -64,8 +64,8 @@
 endif()
 
 ecm_find_qmlmodule(QtWebChannel)
-ecm_set_disabled_deprecation_versions(QT 6.7.2
-    KF 6.7.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.19.0
 )
 
 add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -124,6 +124,7 @@
     KF6::CoreAddons
     KF6::Crash
     KF6::ColorScheme
+    KF6::I18nQml
 )
 
 target_link_libraries(arianna_static PUBLIC Qt::WebEngineQuick)

=== debian/changelog ===
arianna (25.12.0+p24.04+vunstable+git20251208.1311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:11:51 +0000

## arianna 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})
@@ -64,8 +64,8 @@
 endif()
 
 ecm_find_qmlmodule(QtWebChannel)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
-    KF 6.19.0
+ecm_set_disabled_deprecation_versions(QT 6.7.2
+    KF 6.7.0
 )
 
 add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

=== debian/changelog ===
arianna (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:41:45 +0000

arianna (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:55:10 +0000

arianna (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:11:40 +0000

=== debian/control ===
Source: arianna
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6baloo-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6filemetadata-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6qqc2desktopstyle-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkirigami-dev (>= 6.3.0~),
               libquickcharts-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qml6-module-qtwebchannel,
               qml6-module-qtwebengine,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-httpserver-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-webengine-dev (>= 6.6.0~),
               qt6-websockets-dev (>= 6.6.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/arianna
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/arianna
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/arianna
Rules-Requires-Root: no

Package: arianna
Architecture: amd64 amd64v3 arm64 armhf
Depends: qml6-module-qtqml-workerscript (>= 6.6.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Plasma EPub Reader
 An ebook reader and library management app supporting ".epub" files.
 Arianna discovers your books automatically, and sorts them by categories,
 genres and authors.

## arianna 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(arianna VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
arianna (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:16:02 +0000

## arianna 25.12.2+p24.04+vstable+git20260216.0246

=== debian/changelog ===
arianna (25.12.2+p24.04+vstable+git20260216.0246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 02:46:08 +0000

arianna (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:52:55 +0000

arianna (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:33 +1000

## arianna 25.12.2+p24.04+vstable+git20260219.0426

=== debian/changelog ===
arianna (25.12.2+p24.04+vstable+git20260219.0426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:26:31 +0000
